Subject: Re: bug#406: apt-2.0.0: Runs very, very slow after update to version 2.0

From: Klaus Ethgen <[email-masked]>
Date: Sun, 3 May 2020 20:37:19 +0100

Hi Andreas,

Am So den  3. Mai 2020 um 18:20 schrieb Andreas Messer:
> I had to remove some of your local repos for testing, so my test result
> is probably not of much use. Running the command took about 6 seconds
> on my machine.

Strange..

> As far as I understand daptup is another tool not part of apt package. 
> So maybe it is at the moment not apt to blame. We should figure out were 
> the delay occurs. Did you check that you local file repos are available 
> (e.g. mounted properly before running the tool?)

Yes, they are. Sure they are. And the speed change came exactly with the
new apt release.

> Could you please install libdevel-dprof-perl and then run daptup as
> follows within /tmp:
> 
>     $ sudo perl -d:DProf /usr/bin/daptup --hook --post
> 
> Then please invoke:
> 
>     $ dprofpp
> 
> And mail the output.

No sudo here and I did it in root $HOME:
```
~> dprofpp
Total Elapsed Time = 669.6876 Seconds
  User+System Time = 1.747609 Seconds
Exclusive Times
%Time ExclSec CumulS #Calls sec/call Csec/c  Name
 44.6   0.780  0.780      1   0.7800 0.7800  Daptup::Backend::AptOrCupt::get_updates
 35.4   0.620  1.689      1   0.6196 1.6892  main::do_post
 15.4   0.270  0.270  80346   0.0000 0.0000  Term::ANSIColor::color
 1.72   0.030  0.069     11   0.0027 0.0062  main::BEGIN
 0.57   0.010  0.010      3   0.0033 0.0033  main::diff_cmd
 0.57   0.010  0.010      1   0.0100 0.0100  main::find_old_packages
 0.57   0.010  0.010      4   0.0025 0.0025  Daptup::Backend::Aptitude::BEGIN
 0.57   0.010  0.010      7   0.0014 0.0014  IO::Handle::BEGIN
 0.57   0.010  0.010      8   0.0012 0.0012  File::Spec::Unix::BEGIN
 0.57   0.010  0.010      7   0.0014 0.0014  Log::Agent::BEGIN
 0.57   0.010  0.029     21   0.0005 0.0014  File::Temp::BEGIN
 0.00   0.000  0.000      1   0.0000 0.0000  Exporter::Heavy::heavy_export_ok_tags
 0.00   0.000  0.000      1   0.0000 0.0000  Getopt::Long::GetOptionsFromArray
 0.00        - -0.000      1         -       -  main::get_watch_regex
 0.00        - -0.000      1         -       -  IO::Handle::__ANON__
```

Gruß
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C